      DOUBLE PRECISION n,Lx,rho,rhow,g,us,zs,xs,taus
      DOUBLE PRECISION pi,tana,c,omega,delta,ab
      PARAMETER (
C---
     &   n    = 3.d0,                    ! Glen's parameter
     &   rho  = 910.d0,                  ! [kg/m^3]
     &   rhow  = 1028.d0,                ! [kg/m^3]
     &   g    = 9.81d0,                  ! [m/sec^2]
C--- scale parameters
     &   us=1.0d0,                       ! [km/a]
     &   zs=1.d0,                        ! [km]
     &   taus=0.5d0*rho*g*zs*zs,         ! [MJ] - megaJoule
     &   xs=80.d0,                       ! [km]
     &   Lx=1.d0,                        ! horizontal length scale of the domain
C--- parameters of the manufactured solution
     &   pi = 4.d0*atan(1.d0),
     &   tana = tan(pi*0.1d0/180.d0),    ! tan(0.1 degree)
     &   c  = 1.d0,                      ! coefficient in ux(x)=c/h(x)
     &   omega=pi/(2.05d0*Lx),           ! pi/(2*L)
     &   delta = xs/zs,                  ! delta = L/Z
     &   ab = 0.5                        ! amplitude of the bed undulation
     &   )
C---------------------------------------------------------------------
