      DOUBLE PRECISION n,Lx,Ly,k1,k2,rho,rhow,g,pi,tana,
     &  U0,wx,wy,delta,us,xs,zs,taus
      PARAMETER (
C---------------------------------------------------------------------
     &   Lx = 1.d0,                 ! scaled domain (1x1)
     &   Ly = 1.d0,            
C---------------------------------------------------------------------
     &   n      = 3.d0,             ! Glen's parameter
     &   rho    = 910.d0,           ! [kg/m^3]
     &   rhow   = 1028.d0,          ! [kg/m^3]
     &   g      = 9.81d0,           ! [m/sec^2]
C---- scale parameters -----------------------------------------------
     &   us = 0.5d0,                ! [km/a]
     &   xs = 200.d0,               ! [km]
     &   zs = 1.d0,                 ! [km]
     &   taus = rho*g*zs*zs,        ! [MJ]
C---- parameters of the manufactured solution ------------------------
     &   pi = 4.d0*atan(1.d0),
     &   tana=tan(pi*0.1d0/180.d0), ! tan(0.1 degree) - slope of the surface in x-dir.
     &   k1 = 1.0d0,                ! period of inflow indulation
     &   k2 = 1.0d0,                ! guarantees that h not 0.
     &   U0 = 1.d0,                 ! [1/a] coeff of velocity in x-dir.
     &   wx = pi/3.d0,              ! slope of u_x 
     &   wy = pi,                   ! middle of y-dimension
     &   delta = xs/zs              ! delta = L/Z
C---------------------------------------------------------------------
     &   )
C---------------------------------------------------------------------
